//House 2 script for the DAD person
void main( void )
{
 int &neat;
}

void talk( void )
{
 if (&story > 10)
 {
  freeze(1);
  say_stop("`2谢谢你，小东西。", &current_sprite);
  wait(250);
  say_stop("是小森林，先生。", 1);
  wait(250);
  say_stop("`2啊，是了。", &current_sprite);
  unfreeze(1);
  return;
 }
 freeze(1);
 &neat = random(3, 1);
 if (&neat == 1)
 {
  say_stop("`2太饿了，我不想说话。", &current_sprite);
 }
 if (&neat == 2)
 {
  say_stop("`2你好啊。", &current_sprite);
 }
 if (&neat == 3)
 {
  say_stop("`2欢迎光临我们的小镇。", &current_sprite);
 }
 unfreeze(1);
 //unfreeze(&current_sprite);
}

void hit( void )
{
 if (&story > 10)
 {
  say_stop("`2先养饱我们，然后再打我们，你是这么打的算盘吗？", &current_sprite);
  return;
 }
 say_stop("`2你的风俗好奇怪。", &current_sprite);
}
